Subject: GUI Applications?
From: [email-masked] (Hans Joachim Breitsprecher)

23 Dec 1996 12:38:00 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: Forte Agent .99f/32.299
Original-Sender: [email-masked]

I'm relatively new to GNU C++ and Cygwin32, so please forgive me if I
am asking a stupid question.

How do you prevent Windows (I am using Windows 95 with B17.1) from
opening an MS-DOS Window everytime I run my application?

Here's a test application:

	// test.c
	#include <windows.h>

	int main(void)
	{
	    MessageBox(NULL, "Hello World!\nDo you like this box?",
				   "Hello!", MB_YESNO | MB_ICONEXCLAMATION);

	    return 0;
	}

And how do you specify which libraries should NOT be linked to the
program?

I run gcc with this set of options:

	gcc test.c -luser32 -otest.exe

The resulting .exe file is something about 250k big, which seems a
little much for me... What is all that stuff?

Any help will be greatly appreciated, thanks in advance,
Joachim

*** "God does not play dice with the Universe" - Albert Einstein ***
*** "God not only plays dice, but sometimes                      ***
***  He throws them where they cannot be seen" - Stephen Hawking ***
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".